   /* General utility routines for the BenAri Concurrent PCODE programs */


extern char *savestr(char *s);
   /* copy a string s to new space & return a pointer to it */

void fatal(const char *fmt, ...);
   /* fmt is the format string                        */
   /* ... is the list of things to be printed         */
   /* output is written to stderr, then exit          */
   /* 'cfatal' in computil.c writes to stderr & yyout */

void nonfatal(const char *fmt, ...);
   /* fmt is the format string                        */
   /* ... is the list of things to be printed         */
   /* warning output is written to stderr, no exit    */

int stacksize(int bytesize);
/* convert a size in bytes to number of BACI interpreter stack words */

/*
 *
 *  $Log: genutil.h,v $
 *  Revision 1.4  2002/05/02 13:14:30  bynum
 *  add stacksize declaration
 *
 *  Revision 1.3  2000/06/02 19:27:19  bynum
 *  add prototype for nonfatal()
 *
 * Revision 1.2  1997/09/04  11:00:16  bynum
 * add fatal
 *
 * Revision 1.1  1995/09/07  14:00:34  bynum
 * Initial revision
 *
 *
 */
