   /* global data used by the BenAri PCODE compilers & interpreter */

#include "../include/bacicnty.h"    /* bring in constants & types */

FNAME_STRING pcode_fname;

char  comp_proot[]      = {"BACI System: "};

char  pcode_suffix[]    = {".pco"};

char  pobject_suffix[]  = {".pob"};

                  /*         123456789012  */
char  outerblock_name[] = { "++-outer-++" };
   /* used with -c option when there is no main() proc */

TYPENAME typenames[]    = {"notyp","int","bool","char","bsem",
                           "sem","cond","array"};

OBJNAME objnames[]      = {"constant","variable","type","procedure",
                           "function","monitor"};

FNAME_STRING filename_line;


/*
 *
 *  $Log: globdata.c,v $
 *  Revision 1.9  2001/07/21 17:28:52  bynum
 *  add ../include to bacicnty.h include
 *
 *  Revision 1.8  2001/07/13 19:44:05  bynum
 *  move the declarations of the seven global tables to globtabs.c
 *
 *  Revision 1.7  2000/08/04 15:38:27  bynum
 *  change last_dbg_ix to last_dbg
 *
 *  Revision 1.6  2000/08/03 20:54:28  bynum
 *  remove ../include from #include stmts (dir specified in Makefile)
 *
 *  Revision 1.5  1997/07/10 17:13:01  bynum
 *  switch from t to last_tab, b to last_btab, a to last_atab, sx to
 *  stab_size, add last_code
 *
 * Revision 1.4  1997/07/02  14:04:47  bynum
 * add outer block name and obj suffix
 *
 * Revision 1.3  1997/06/17  05:31:45  bynum
 * add last_dbg_ix global
 *
 * Revision 1.2  1995/11/15  17:01:07  bynum
 * change 'comp_proot' string to "BACI System: "
 *
 * Revision 1.1  1995/09/07  15:12:20  bynum
 * Initial revision
 *
 *
 */
